"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.sign = void 0;
const crypto_1 = __importDefault(require("crypto"));
const sign = (secretkey, path, params = '', method = 'GET') => {
    const hmac = crypto_1.default.createHmac('sha256', secretkey);
    const ts = new Date().toISOString();
    return [
        ts,
        hmac.update(`${ts}${method}${path}${params && JSON.stringify(params)}`).digest('base64')
    ];
};
exports.sign = sign;
